Subject: Re: [PATCH NET 2/2] net: hns: Use phy_driver to setup Phy loopback

From: Andrew Lunn <[email-masked]>
Date: Fri, 23 Jun 2017 06:05:44 +0200

> what should the Mac driver do when it receive the error? I assume that it
> will return it to userspace. because the rtnl_lock ensure only one ethtool
> is executing, if the function return error, it means some bug in the mac
> driver, am I right?

Yes, return it. It could be there are other use cases of loopback,
which are not protected by the rtnl_lock.

      Andrew